"""$Id: """
#######################################################################
#                                                                     #
#                  copyright (c) 2005 Ingeniweb SARL                  #
#                                                                     #
#######################################################################

"""PloneSelenium FTest"""

from Products.PloneSelenium.Interpreter import PloneSeleniumInterpreter

class FTest(PloneSeleniumInterpreter):
    """ TODO: add documentation
    """
    __allow_access_to_unprotected_subobjects__ = 1

    def __init__(self, base, language='en'):
        """ Initializes a functional test
        base : Let's you freely decide which site you test in development
               mode. For example if you are running the ftests under
                   http://localhost:8080/PloneSelenium
               you can test an application under test at
                   http://localhost:9080/AUT
        language : The language you want to test in. Used to be interesting
                   so we could change language during login, but this is no
                   more in fashion. I guess this should be deprecated?
        """
        self.base = base
        self.language = language
        self.ftest=[]

    def __add__(self, other):
        return self.ftest + other

    def __radd__(self, other):
        return  other + self.ftest

    def __repr__(self):
        return repr(self.ftest)

    def dispatchCommand(self, command, target="", value=""):
        if command in ('open','verifyLocation'):
            target = self.base + target
        self.ftest.append((command, target, value,))

