## Script (Python) "get_pemissions_listportalmembers_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone List portal members permission tests

""""
"List portal members" permission

This is only used to protect the getRoster method in the
membershiptool in CMFDefault to return a list of 
mappings for 'listed' members. If Manager, return a list
of all usernames.  The mapping contains the id and listed
variables.

This method is used in plone_forms/roster.pt, although this
is apparently not used in Plone?
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Roster",
    "Login as manager",
    suite.test_login_portlet('sampleadmin'),               
    "Manager has access to the roster",
    suite.open("/roster"),
    suite.verifyTextPresent("Member Listing"),
    "Login as member",
    suite.test_login_portlet('samplemember'),               
    "Member has access to the roster",
    suite.open("/roster"),
    suite.verifyTextPresent("Member Listing"),
    "Logout",
    suite.test_logout(),
    "Anonymous can't access the roster",
    suite.open("/roster"),
    suite.verifyTextPresent("Please log in"),
  )

return suite
