## Script (Python) "get_permissions_setownPassword_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone set own password permission tests

""""
"Set own password" permission

MembershipTool
  - setPassword
  
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Change password",
    "Login as member",
    suite.test_login_portlet('samplemember'),               
    "Cancel change password",
    suite.open('/plone_memberprefs_panel'),
    suite.verifyTextPresent("Change Password"),
    "Change password",    
    suite.open('/password_form'),
    suite.type('current','admin'),
    suite.type('password','admin'),
    suite.type('password_confirm', 'admin'),  
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Password changed."),
  )

return suite
