## Script (Python) "get_ploneselenium_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title="plone selenium"
##
selenium = context.portal_selenium
suite = selenium.getSuite()
target_language='en'
suite.setTargetLanguage(target_language)

selenium.addUser(id = 'sampleadmin',fullname='Sample Admin',roles=['Member', 'Manager',])

# 1
test_logout = suite.TestLogout()
test_admin_login  = suite.TestLoginPortlet('sampleadmin')

suite.addTests("PloneSelenium",
               'Login as Sample Admin',
               test_logout,
               test_admin_login,
               suite.open(''),
               suite.verifyTextPresent("Welcome to Plone"),
               )

return suite
