## Script (Python) "get_usecase_login_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Use case "Login"

""""
Member wants to login
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Change password",
    "Login as member",
    suite.open("/logout")
    suite.open('/'),
    suite.verifyElementPresent('portlet-login'),
    suite.verifyElementPresent('__ac_name'),
    suite.verifyElementPresent('__ac_password'),
    suite.type("__ac_name", 'samplemember'),
    suite.type("__ac_password", "admin"),
    suite.clickAndWait("submit") # Should be name=login
    suite.verifyTextPresent("You are now logged in"),
    suite.verifyElementNotPresent("portlet-login"),    
  )

return suite
