## Script (Python) "prefs_add_ploneselenium_ftest"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=ploneselenium_ftest_id="", create_in_custom=0
##title=add ploneselenium ftest
##
allowed_characters = string.ascii_letters + string.digits + '_'
allowed=1
for c in ploneselenium_ftest_id:
    if c in allowed_characters:
        pass
    else:
        allowed = 0

if not allowed:
    return context.REQUEST.RESPONSE.redirect('prefs_plone_selenium')

ftest_id = 'get_' + ploneselenium_ftest_id.lower() + '_ftests'

if create_in_custom:
    custom = context.portal_skins.custom
    addFTest = custom.manage_addProduct['PythonScripts'].manage_addPythonScript
    try:
        addFTest(ftest_id)
    except:
        pass
    ftest = getattr(custom, ftest_id)

    ftest_body = """selenium = context.portal_selenium
suite = selenium.getSuite()
target_language='en'
suite.setTargetLanguage(target_language)

selenium.addUser(id = 'sampleadmin',fullname='Sample Admin',roles=['Member', 'Manager',])

# 1
test_logout = suite.TestLogout()
test_admin_login  = suite.TestLoginPortlet('sampleadmin')

suite.addTests("%s",
          'Login as Sample Admin',
          test_logout,
          test_admin_login,
          suite.open(''),
          suite.verifyTextPresent("Welcome to Plone"),
         )

return suite
""" % ploneselenium_ftest_id

    if ftest:
        ftest.write(ftest_body)
        ftest.ZPythonScript_setTitle(ftest_id)

action = {'id':ploneselenium_ftest_id,
          'name':ploneselenium_ftest_id,
          'action':'string:here/' + ftest_id,
          'condition': '',
          'permission': 'View',
          'category':'ftests',
          'visible': 1}

context.portal_selenium.addAction(**action)

context.REQUEST.RESPONSE.redirect('prefs_plone_selenium')
