## Script (Python) "get_plone_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
selenium = context.portal_selenium
suite = selenium.getSuite()
suite.setBase('/Plone')
target_language='fr'
suite.setTargetLanguage(target_language)

test_logout = suite.TestLogout()
test_admin_login  = suite.TestLoginPortlet('sampleadmin', 'Sample Admin')
test_switch_language = suite.TestSwitchToLanguage()

suite.add("Login",
          ['Login as Sample Admin',]+\
          test_logout+\
          test_admin_login+\
          test_switch_language+\
         )
return suite

""""
ActionsTool
    

RegistrationTool
    Anonymous joins

MembershipTool
    Member logs in
    Member forgot his password
    Member logs out
    Member wants Plone to remember his name
    Member does not want Plone to remember his name
    
TypesTool
    Member adds Document
    Member adds Event
    Member adds Favorite
    Member adds File
    Member adds Folder
    Member adds Image
    Member adds Link
    Member adds News Item

MemberDataTool
    Member edits Preferences
    Anonymous searches Members    
    
SkinsTool
    Anonymous access
    Change default skin
    Change REQUEST variable name 	
    Allow arbitrary skins to be selected
    Disallow arbitrary skins to be selected
    Activate Skin Cookie persistence 	
    Desactivate Skin Cookie persistence 	
        
CatalogTool
    Anonymous searches

WorkflowTool
    Workflow transitions in plone_workflow
        pending    Waiting for reviewer
            hide (Member makes content private)
      	    publish (Reviewer publishes content)
          	reject (Reviewer rejects submission)
          	retract (Member retracts submission)
        private   Visible and editable only by owner
          	show (Member makes content visible)
        published   Public
          	reject (Reviewer rejects submission)
          	retract (Member retracts submission)
        * visible   Visible but not published
           	hide (Member makes content private)
           	publish (Reviewer publishes content)
           	submit (Member requests publishing)
    Workflow transitions in folder_workflow
        private    Visible and editable only by owner
          	publish (Reviewer publishes content)
          	show (Member makes content visible)
        published   Public
           	hide (Member makes content private)
          	retract (Member retracts submission)
        * visible   Visible but not published
          	hide (Member makes content private)
          	publish (Reviewer publishes content)    	
    Workflow Security on plone_workflow
        View private document
        View submitted document
        View visible document
        View published document
    Workflow Security on folder_workflow
        View private folder
        View published folder
        View visible folder
Configlets
    Admin accesses configlet

QuickInstallerTool
    Admin installs a product
    Admin uninstalls a product
"""        


