## Script (Python) "get_search_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##

selenium = context.portal_selenium
suite = selenium.getSuite()
suite.setTargetLanguage('en')

selenium.addUser(id = 'sampleadmin',fullname='Sample Admin',roles=['Member', 'Manager',])
selenium.addUser(id = 'samplemember',fullname='Sample Member',roles=['Member','Owner'])

TestLogout = suite.TestLogout
TestLoginPortlet  = suite.TestLoginPortlet
TestSwitchToLanguage = suite.TestSwitchToLanguage

addTestFolder = selenium.importTest('Content',
                                    'Add and Edit Content (Member)',
                                    'Add and Edit Test Folder')
addTestNews =  selenium.importTest('Content',
                                   'Add and Edit Content (Member)',
                                   'Add and edit Test News')

def TestSearch(search4, expect):
    """ Search for the 'search4' string and look if we got the 'expect' string. """
    t = suite.getTest()
    t.open("/")
    t.type("SearchableText", "News")
    t.clickAndWait("//input[@class='searchButton']")
    t.verifyTextPresent(expect)
    return t

suite.addTests('Search content',
          'Add Test Content',
          addTestFolder,
          addTestNews,
          'Anon - Search 4 News Item',
          TestSearch('news','Site News'),
         )

return suite
